openssl_csr_sign
openssl_dh_compute_key
OpenSSL Funções
PHP Manual

# openssl_decrypt

(PHP 5 >= 5.3.0)

openssl_decrypt — Decrypts data

### Descrição

string openssl_decrypt ( string `$data` , string `$method` , string `$password` [, int `$options` = 0 [, string `$iv` = "" ]] )

Takes a raw or base64 encoded string and decrypts it using a given method and key.

Aviso

Esta função não está documentada; somente a lista de argumentos está disponível.

### Parâmetros

`data`

  The data.

`method`

  The cipher method.

`password`

  The password.

`options`

  `options` can be one of `OPENSSL_RAW_DATA`, `OPENSSL_ZERO_PADDING`.

`iv`

  A non-NULL Initialization Vector.

### Valor Retornado

The decrypted string on success ou `FALSE` em caso de falha.

### Erros

Emits an `E_WARNING` level error if an unknown cipher algorithm is passed via the `method` parameter.

Emits an `E_WARNING` level error if an empty value is passed in via the `iv` parameter.

### Changelog

Versão | Descrição
--- | ---
5.3.3 | The `iv` parameter was added.
5.4.0 | The `raw_output` was changed to `options`.

### Veja Também

- openssl_encrypt() - Encrypts data

openssl_csr_sign
openssl_dh_compute_key
OpenSSL Funções
PHP Manual